> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Stripe Credentials

> Validate Stripe API credentials by making a test API call to Stripe.



## OpenAPI

````yaml cloud-api/openapi.json post /api/v1/payments/stripe/projects/{project_id}/validate-credentials
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/payments/stripe/projects/{project_id}/validate-credentials:
    post:
      tags:
        - Stripe Configuration
      summary: Validate Stripe Credentials
      description: Validate Stripe API credentials by making a test API call to Stripe.
      operationId: >-
        validate_credentials_api_v1_payments_stripe_projects__project_id__validate_credentials_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateStripeCredentialsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateStripeCredentialsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ValidateStripeCredentialsRequest:
      properties:
        secret_key:
          type: string
          minLength: 1
          title: Secret Key
        is_test_mode:
          type: boolean
          title: Is Test Mode
          default: true
      type: object
      required:
        - secret_key
      title: ValidateStripeCredentialsRequest
      description: Request to validate Stripe credentials.
    ValidateStripeCredentialsResponse:
      properties:
        valid:
          type: boolean
          title: Valid
        message:
          type: string
          title: Message
      type: object
      required:
        - valid
        - message
      title: ValidateStripeCredentialsResponse
      description: Validation result for Stripe credentials.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/login

````